<app-navbar></app-navbar>
<div *ngIf="droit">
    <div class="submit-form">
      <div *ngIf="!submitted">
        <div class="form-group">
          <label for="titre">Titre</label>
          <input
            type="text"
            class="form-control"
            id="titre"
            required
            [(ngModel)]="livre.titre"
            name="titre"
          />
        </div>

        <div class="form-group">
            <label for="auteurs">Auteurs</label>
            <input
              type="text"
              class="form-control"
              id="auteurs"
              required
              [(ngModel)]="livre.auteurs"
              name="auteurs"
            />
          </div>

          <div class="form-group">
            <label for="datePublication">Date de publication</label>
            <input
              type="date"
              class="form-control"
              id="datePublication"
              required
              [(ngModel)]="livre.datePublication"
              name="datePublication"
            />
          </div>

          <div class="form-group">
            <label for="genre">Genre</label>
            <input
              type="text"
              class="form-control"
              id="genre"
              required
              [(ngModel)]="livre.genre"
              name="genre"
            />
          </div>

          <div class="form-group">
            <label for="quatriemePage">Résumé</label>
            <input
              type="text"
              class="form-control"
              id="quatriemePage"
              required
              [(ngModel)]="livre.quatriemePage"
              name="quatriemePage"
            />
          </div>
  
        <div class="form-group">
          <label for="prix">Prix</label>
          <input
            class="form-control"
            id="prix"
            required
            [(ngModel)]="livre.prix"
            name="prix"
          />
        </div>

        <div class="form-group">
          <label for="quantite">Quantité</label>
          <input
            class="form-control"
            id="quantite"
            required
            [(ngModel)]="livre.quantite"
            name="quantite"
          />
        </div>
  
        <button (click)="saveLivre()" class="btn btn-success">Submit</button>
      </div>
  
      <div *ngIf="submitted">
        <h4>  Le livre a été correctement ajouté</h4>
        <button class="btn btn-success" (click)="newLivre()">Ajouter</button>
      </div>
    </div>
  </div>